Subject: Re: [patch net-next 01/16] net: introduce upper device lists

From: Flavio Leitner <[email-masked]>
Date: Tue, 14 Aug 2012 10:14:00 -0300

On Tue, 14 Aug 2012 14:24:33 +0200
Jiri Pirko <[email-masked]> wrote:

> Mon, Aug 13, 2012 at 07:52:17PM CEST, [email-masked] wrote:
> >On Mon, 13 Aug 2012 17:27:00 +0200
> >Jiri Pirko <[email-masked]> wrote:
> >> +	/*
> >> +	 * To prevent loops, check if dev is not upper device to upper_dev.
> >> +	 */
> >> +	if (__netdev_has_upper_dev(upper_dev, dev, true))
> >> +		return -EBUSY;
> >> +
> >> +	if (__netdev_find_upper(dev, upper_dev))
> >> +		return -EEXIST;
> >
> >__netdev_has_upper_dev() can go all the way up finding the device and
> >the __netdev_find_upper() just check the first level.
> 
> 
> I do not think this ordering is somewhat inportant.

it's not the order, see below:

> >I think it would be better to use:
> >__netdev_find_upper_dev(,,deep=true/false)
> >__netdev_has_upper(,)

It's their names.  Currently, the function ..._find_... look at
one level only, while the function ..._has_... does one or more
levels.  I think it's better to swap 'has' and 'find' in their names:

__netdev_find_upper_dev(,,deep=true/false) <-- find in all levels
__netdev_has_upper(,)  <-- check only the one level.

fbl